Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4874 - SMP kernels do not provide "kernel"
Summary: SMP kernels do not provide "kernel"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-03 01:25 UTC by wpb-rhl
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-17 11:42:41 UTC


Attachments (Terms of Use)

Description wpb-rhl 1999-09-03 01:25:34 UTC
On an SMP machine, we are required to keep both kernel and
kernel-smp.  Kernel-smp should provide kernel in the RPM
sense.  Attempting to rpm -e kernel fails because removing
kernel would break dependancies that should be satisfied by
the SMP kernel.  To wit:

[root@bigbit /root]# uname -r
2.2.12-4smp
[root@bigbit /root]# rpm -qa | grep kernel-
kernel-2.2.12-4
kernel-smp-2.2.12-4
kernel-doc-2.2.12-4
kernel-headers-2.2.12-4
[root@bigbit /root]# rpm -e kernel-2.2.12-4 --test
error: removing these packages would break dependencies:
        kernel >= 2.0.28 is needed by dosemu-0.99.10-4
        kernel >= 2.2.5 is needed by knfsd-1.4.6-2
        module-info is needed by kernelcfg-0.5-5

Thankyoupleasedrivethrough.

Comment 1 Cristian Gafton 1999-09-17 11:42:59 UTC
fixed in the current rawhide releases


Note You need to log in before you can comment on or make changes to this bug.